Bug 11361 - Reading of EA's (Extended Attributes) fails using SMB2 and above protocols
Reading of EA's (Extended Attributes) fails using SMB2 and above protocols
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: libsmbclient
4.2.2
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-06-25 10:11 UTC by Paul Smedley
Modified: 2015-07-21 14:38 UTC (History)
5 users (show)

See Also:


Attachments
git-am fix for 4.2.next, 4.1.next. (1.17 KB, patch)
2015-07-06 17:23 UTC, Jeremy Allison
asn: review+
obnox: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Paul Smedley 2015-06-25 10:11:35 UTC

    
Comment 1 Paul Smedley 2015-06-25 10:17:23 UTC
Reading of EA's using geteas from smbclient is failing when SMB2 or above is used.

To reproduce:
- mount linux file system using user_xattr parameter
- add 'ea support = yes' to smb.conf
- remount file system and restart smbd

connect to filesystem using smbclient and -mSMB2 (or -mSMB3)
attempt to set/get EAs, ie using the following:
smb: \> setea TOP.LOG TEST abcdef
smb: \> setea TOP.LOG TEST2 abcdefghijklmnopqrstuvwxyz
smb: \> geteas TOP.LOG 

Results shown are:
TEST (0) =
[0000] 61 62 63 64 65 66                                 abcdef 

TEST (0) =
[0000] 61 62 63 64 65 66                                 abcdef 

When connected via SMB1:
smb: \> geteas TOP.LOG
TEST (0) =
[0000] 61 62 63 64 65 66                                 abcdef 

TEST2 (0) =
[0000] 61 62 63 64 65 66 67 68   69 6A 6B 6C 6D 6E 6F 70   abcdefgh ijklmnop
[0010] 71 72 73 74 75 76 77 78   79 7A                    qrstuvwx yz

ie the EA's are _set_ correctly, but cannot be read over SMB2
Comment 2 Anubhav Rakshit 2015-06-26 07:15:05 UTC
Submitted a Patch to fix this.

https://lists.samba.org/archive/samba-technical/2015-June/108211.html
Comment 3 Paul Smedley 2015-06-26 09:12:27 UTC
Thanks - tested fix here and it works :)
Comment 4 Jeremy Allison 2015-07-06 17:23:21 UTC
Created attachment 11236 [details]
git-am fix for 4.2.next, 4.1.next.

Cherry-pick from master applies cleanly to 4.2.next, 4.1.next.
Comment 5 Andreas Schneider 2015-07-07 07:21:52 UTC
Comment on attachment 11236 [details]
git-am fix for 4.2.next, 4.1.next.

LGTM
Comment 6 Andreas Schneider 2015-07-07 07:22:38 UTC
Karolin, please add the patch to the next 4.1 and 4.2 release. Thanks!
Comment 7 Karolin Seeger 2015-07-16 09:41:07 UTC
Pushed to autobuild-v4-[1|2]-test.
Comment 8 Karolin Seeger 2015-07-21 14:38:15 UTC
(In reply to Karolin Seeger from comment #7)
Pushed to both branches.
Closing out bug report.

Thanks!